import type { ServiceId } from '../types.js';
/**
 * Returns `true` if the specific Usercentrics service has been given consent.
 * If it returns `false`, the service should not be loaded or used.
 */
export declare const useHasServiceConsent: (serviceId: ServiceId) => boolean;
